libjavascript-beautifier-perl_0.17-1_all.deb


Advertisement

Description

libjavascript-beautifier-perl - Perl module to beautify JavaScript code

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libjavascript-beautifier-perl
Package version 0.17
Package release 1
Package architecture all
Package type deb
Installed size 100 B
Download size 15.09 KB
Official Mirror ftp.br.debian.org
JavaScript::Beautifier is a Perl module providing a simple way to beautify
arbitrary JavaScript code. This beautifier can process your messy or compacted
JavaScript, neatly and consistently formatting it, thus making it easier to
read and maintain.

Alternatives

Package Version Architecture Repository
libjavascript-beautifier-perl_0.17-1_all.deb 0.17 all Debian Main
libjavascript-beautifier-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libjavascript-beautifier-perl_0.17-1_all.deb
Source Package libjavascript-beautifier-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libjavascript-beautifier-perl deb package:
    # sudo apt-get install libjavascript-beautifier-perl

Files

Path
/usr/bin/js_beautify
/usr/share/doc/libjavascript-beautifier-perl/changelog.Debian.gz
/usr/share/doc/libjavascript-beautifier-perl/changelog.gz
/usr/share/doc/libjavascript-beautifier-perl/copyright
/usr/share/man/man1/js_beautify.1p.gz
/usr/share/man/man3/JavaScript::Beautifier.3pm.gz
/usr/share/perl5/JavaScript/Beautifier.pm

Changelog

2009-12-30 - Jonathan Yu <jawnsy@cpan.org>
libjavascript-beautifier-perl (0.17-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
* Refresh patch to match new js_beautify.pl
[ Ryan Niebur ]
* Update ryan52's email address
[ gregor herrmann ]
* debian/control: Changed: (build-)depend on perl instead of perl-
modules.
2009-09-22 - Jonathan Yu <jawnsy@cpan.org>
libjavascript-beautifier-perl (0.16-1) unstable; urgency=low
* New upstream release
+ Fix array indentation regressions
* Depend on perl >= 5.10.1 or libtest-simple-perl >= 0.88
2009-09-19 - Jonathan Yu <jawnsy@cpan.org>
libjavascript-beautifier-perl (0.15-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
+ Changes to handling of arrays
[ Ryan Niebur ]
* Update jawnsy's email address
2009-08-19 - Ryan Niebur <ryanryan52@gmail.com>
libjavascript-beautifier-perl (0.14-1) unstable; urgency=low
* New upstream release
* Debian Policy 3.8.3
2009-08-02 - Jonathan Yu <frequency@cpan.org>
libjavascript-beautifier-perl (0.13-1) unstable; urgency=low
* New upstream release (0.12)
+ Allow unescaped / in regular expression character classes
+ Fixed broken <!-- / --> handline
+ Added space between anonymous function parentheses
* Standards-Version 3.8.2 (no changes)
* Updated description in control file
* Added myself to Uploaders and Copyright
* Refreshed patch, renamed to remove-pl-extension.patch (Closes: #538676)
+ Patch the file before renaming, and unpatch after renaming, so that it
works with the new quilt patch system
* New upstream release (0.13)
+ Fix for prefix operators (increment,decrement)
+ Put spaces in front of colons in ternary (a ? b : c) expressions
+ No spaces in front of colons in class literals ({ 1: "a", 2: "b" })
+ Remove spaces between unary +/-/~ and the operand (-a, case -1, !a)
+ Add a blank line between a new block and the start of an expression
2009-06-08 - Ryan Niebur <ryanryan52@gmail.com>
libjavascript-beautifier-perl (0.11-1) unstable; urgency=low
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Ryan Niebur ]
* New upstream release
2009-05-31 - Ryan Niebur <ryanryan52@gmail.com>
libjavascript-beautifier-perl (0.09-1) unstable; urgency=low
* Initial Release. (Closes: #531140)

See Also

Package Description
libjavascript-minifier-perl_1.11-1_all.deb Perl extension for minifying JavaScript code
libjavascript-minifier-xs-perl_0.09-2+b2_amd64.deb XS based JavaScript minifier
libjavascript-packer-perl_1.006003-2_all.deb module to compact JavaScript code
libjavascript-rpc-perl_0.10-1.1_all.deb Perl module to process Remote procedure calls from JavaScript
libjavascriptcoregtk-1.0-0_2.4.9-1~deb8u1_amd64.deb JavaScript engine library from WebKitGTK+
libjavascriptcoregtk-1.0-dev_2.4.9-1~deb8u1_amd64.deb JavaScript engine library from WebKitGTK+ - development files
libjavascriptcoregtk-3.0-0_2.4.9-1~deb8u1_amd64.deb JavaScript engine library from WebKitGTK+
libjavascriptcoregtk-3.0-bin_2.4.9-1~deb8u1_amd64.deb JavaScript engine library from WebKitGTK+ - command-line interpreter
libjavascriptcoregtk-3.0-dev_2.4.9-1~deb8u1_amd64.deb JavaScript engine library from WebKitGTK+ - development files
libjavascriptcoregtk-4.0-18_2.6.2+dfsg1-4_amd64.deb JavaScript engine library from WebKitGTK+
libjavascriptcoregtk-4.0-bin_2.6.2+dfsg1-4_amd64.deb JavaScript engine library from WebKitGTK+ - command-line interpreter
libjavascriptcoregtk-4.0-dev_2.6.2+dfsg1-4_amd64.deb JavaScript engine library from WebKitGTK+ - development files
libjavassist-java-doc_3.12.1.ga-2_all.deb library for editing bytecodes in Java -- documentation
libjavassist-java_3.12.1.ga-2_all.deb library for editing bytecodes in Java
libjavatuples-java_1.2-1_all.deb javatuples
Advertisement
Advertisement